Page MenuHomePhabricator

Zoomviewer is down
Closed, ResolvedPublic

Description

Event Timeline

Shyamal created this task.Jul 6 2017, 11:11 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 6 2017, 11:11 AM
Shyamal removed dschwen as the assignee of this task.Jul 6 2017, 11:11 AM
Shyamal added a subscriber: dschwen.

Maintainer has been contacted via talk page on July 3rd.

chasemp triaged this task as Normal priority.Jul 7 2017, 3:30 PM
chasemp added a subscriber: chasemp.

Maintainer has been contacted via talk page on July 3rd.

I priortized to normal since this is waiting on maintainers to respond.

Ok, noted. I'll investigate.

Lame. The webservice was down. A simple webservice start brought it back up. Do I really have to put in a cronjob that kick the service once in a while?

Lame. The webservice was down. A simple webservice start brought it back up. Do I really have to put in a cronjob that kick the service once in a while?

The webservice process should take care of this, but only when the whole process crashes as otherwise it will still seem available to the underlying logic.

zhuyifei1999 closed this task as Resolved.Jul 25 2017, 9:31 AM
zhuyifei1999 assigned this task to dschwen.
zhuyifei1999 moved this task from Incoming to Third-party software on the Commons board.
Fae awarded a token.Sep 13 2017, 12:58 PM
Fae added a subscriber: Fae.
Fae added a comment.Sep 14 2017, 7:09 AM

@dschwen is away, and has been for a long time. ZoomViewer should be migrated to being WMF supported. Without it, Commons is not a suitable platform for high resolution images which are now the norm for digital archives, such as high resolution scans of oil paintings.

I suggest this task is left as open and at least spawns a task on a WMF group to create a supported replacement.

I'm not away.

Fae added a comment.Sep 14 2017, 1:05 PM

Good! However this task should not be marked as 'resolved' and the more general point that the WMF should be thinking of providing ZoomViewer facilities as part of the media viewer... or at least something that get maintained long term in the same way.

Please create a new task for this. A constantly open "Zoomviewer is down" task is misleading and counterproductive. You are welcome to reopen this when the zoomviewer is down again and needs attention from me (and has not been taken over by WMF yet).

This comment was removed by dschwen.

Alright, I'll take a look. On mobile right now.

Ok, running again. The webservice was hung:

tools.zoomviewer@tools-bastion-03:~$ webservice status
Your webservice is running
tools.zoomviewer@tools-bastion-03:~$ webservice stop
Stopping webservice...............
tools.zoomviewer@tools-bastion-03:~$ webservice status
Your webservice is running
tools.zoomviewer@tools-bastion-03:~$ webservice stop
Stopping webservice....
tools.zoomviewer@tools-bastion-03:~$ webservice status
Your webservice is not running
tools.zoomviewer@tools-bastion-03:~$ webservice start
Starting webservice..

Note that it took two attempts to shut it down. I really don't know what the purpose of managed webservices is if they require constant babysitting...

dschwen closed this task as Resolved.Sep 14 2017, 6:54 PM

Sigh, zoomviewer used to be a _lot_ faster. I wonder what changed. I'll follow up on this. I see that somebody is trying to pull up the ordnance map which still needs to be preprocessed (the script should do that automatically). Let me know how that works.

TheDJ added a subscriber: TheDJ.Sep 15 2017, 9:40 AM

@dschwen, you might want to consider switching it to the new kubernetes grid

https://wikitech.wikimedia.org/wiki/Help:Toolforge/Kubernetes